# $Revision: 1.8 $, $Date: 2005/03/14 20:25:24 $
Summary:	Untrusted/encrypted backup using rsync algorithm
Summary(pl):	Wykonywanie szyfrowanych kopii zapasowych przy uyciu algorytmu rsync
Name:		duplicity
Version:	0.4.1
Release:	1
License:	GPL
Group:		Applications/Archiving
Source0:	http://savannah.nongnu.org/download/duplicity/%{name}-%{version}.tar.gz
# Source0-md5:	c91933a10f97057b899ba97673ad8a63
URL:		http://www.nongnu.org/duplicity/
BuildRequires:	librsync-devel
BuildRequires:	python-devel >= 2.2.1
Requires:	gnupg
Requires:	python >= 2.2
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server. In theory many remote backends are possible; right
now only the local or ssh/scp backend is written. Because duplicity
uses librsync, the incremental archives are space efficient and only
record the parts of files that have changed since the last backup.
Currently duplicity supports deleted files, full unix permissions,
directories, symbolic links, fifos, etc., but not hard links.

%description -l pl
Duplicity wykonuje przyrostowe kopie zapasowe plikw i katalogw
poprzez szyfrowanie archiww w formacie tar przy pomocy GnuPG i
przesyanie ich na zdalny (lub lokalny) serwer plikw. W teorii mona
uy wiele zdalnych backendw; aktualnie napisane s tylko backendy
lokalny oraz ssh/scp. Poniewa duplicity uywa librsync, przyrostowe
archiwa wydajnie wykorzystuj miejsce dziki zapisywaniu tylko tych
czci plikw, ktre zmieniy si od wykonywania poprzedniej kopii.
Aktualnie duplicity obsuguje pliki skasowane, peny uniksowy system
uprawnie, katalogi, dowizania symboliczne, nazwane potoki itp. - ale
nie twarde dowizania.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%dir %{py_sitedir}/duplicity
%{py_sitedir}/duplicity/*.py[co]
%attr(755,root,root) %{py_sitedir}/duplicity/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: duplicity.spec,v $
Revision 1.8  2005/03/14 20:25:24  qboosh
- .so perms

Revision 1.7  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.6  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2003/11/30 17:55:30  adamg
- updated to 0.4.1

Revision 1.4  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/12/01 22:33:05  qboosh
- pl description

Revision 1.1  2002/12/01 12:33:47  areq
- init PLD spec
